#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%global __requires_exclude devel\\(libKF5
%define kontact_mobile 1
%define _cmake_skip_rpath %nil

%define rel 1

Name:           akonadi-import-wizard
Summary:        Assistant to import PIM data from other applications into Akonadi for use in KDE PIM applications
Epoch:          2
Version: 23.04.1
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://kontact.kde.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  cmake(Qt5Keychain)

# KF5 Packages
BuildRequires:  cmake(KF5Wallet)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5Auth)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Archive)

# KdepimLibs Package
BuildRequires:  cmake(KPim5Akonadi)
BuildRequires:  cmake(KPim5IdentityManagement)
BuildRequires:  cmake(KPim5MailTransport)
BuildRequires:  cmake(KPim5MailCommon)
BuildRequires:  cmake(KPim5MailImporter)
BuildRequires:  cmake(KPim5MessageViewer)
BuildRequires:  cmake(KF5PimCommon)


%description
Assistant to import PIM data from other applications into Akonadi
for use in KDE PIM applications.

%files -f %name.lang
%_kf5_categoriesdir/importwizard.categories
%_kf5_categoriesdir/importwizard.renamecategories
%_kf5_bindir/akonadiimportwizard
%_kf5_iconsdir/*/*/*/kontact-import-wizard.*
%_kf5_datadir/importwizard
%_kf5_datadir/applications/org.kde.akonadiimportwizard.desktop
%_qt5_plugindir/pim5/importwizard/balsaimporterplugin.so
%_qt5_plugindir/pim5/importwizard/clawsmailimporterplugin.so
%_qt5_plugindir/pim5/importwizard/evolutionv3importerplugin.so
%_qt5_plugindir/pim5/importwizard/icedoveimporterplugin.so
%_qt5_plugindir/pim5/importwizard/seamonkeyimporterplugin.so
%_qt5_plugindir/pim5/importwizard/sylpheedimporterplugin.so
%_qt5_plugindir/pim5/importwizard/thunderbirdimporterplugin.so
%_qt5_plugindir/pim5/importwizard/trojitaimporterplugin.so

#------------------------------------------------------------------------------

%define libkpimimportwizard_major 5
%define libkpimimportwizard %mklibname kpim5importwizard %libkpimimportwizard_major

%package -n %libkpimimportwizard
Summary:        Assistant to import PIM data from other applications into Akonadi for use in KDE PIM applications
Group:          System/Libraries
Requires:       %name >= %epoch:%version-%release

Obsoletes:      %{_lib}importwizard5 < 2:17.07.90
Provides:       %{_lib}importwizard5 = %epoch:%version-%release

%description -n %libkpimimportwizard
Assistant to import PIM data from other applications into Akonadi
for use in KDE PIM applications.

%files -n %libkpimimportwizard
%_kf5_libdir/libKPim5ImportWizard.so.%{libkpimimportwizard_major}{,.*}

#------------------------------------------------------------------------------

%package -n %name-handbook
Summary:        %name handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %name >= %{epoch}:%{version}-%{release}

%description -n %name-handbook
This package provides %name handbook.

%files -n %name-handbook
%_kf5_docdir/HTML/*/importwizard

#------------------------------------------------------------------------------

%define libimportwizard_devel %mklibname importwizard -d

%package -n %{libimportwizard_devel}
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpimimportwizard = %epoch:%version-%release
Provides:       libimportwizard-devel = %epoch:%version-%release
Provides:       importwizard-devel = %epoch:%version-%release

%description -n %{libimportwizard_devel}
This package contains header files needed if you wish to build applications
based on libkcompactdisc.

%files -n %{libimportwizard_devel}
%_includedir/KPim5/importwizard/
%_includedir/KPim5/ImportWizard/
%_includedir/KPim5/importwizard_version.h
%_kf5_libdir/libKPim5ImportWizard.so
%_kf5_libdir/cmake/KPim5ImportWizard/
%_kf5_libdir/cmake/KPimImportWizard/

#------------------------------------------------------------------------------
%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install
%find_lang %name --all-name


%changelog
* Sun May 28 2023 neoclust <neoclust> 2:23.04.1-1.mga9
+ Revision: 1959374
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 2:22.12.3-1.mga9
+ Revision: 1946400
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 2:22.12.2-1.mga9
+ Revision: 1941690
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 2:22.12.0-1.mga9
+ Revision: 1922814
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 2:22.11.90-1.mga9
+ Revision: 1911304
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 2:22.08.3-1.mga9
+ Revision: 1905161
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 2:22.08.1-1.mga9
+ Revision: 1886683
- New version 22.08.1

* Thu Sep 01 2022 neoclust <neoclust> 2:22.08.0-1.mga9
+ Revision: 1883181
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 2:22.04.3-1.mga9
+ Revision: 1872978
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 2:22.04.0-1.mga9
+ Revision: 1853872
- New version 22.04.0

* Thu Apr 14 2022 neoclust <neoclust> 2:22.03.90-1.mga9
+ Revision: 1849378
- New version 22.03.90

* Sat Jan 01 2022 neoclust <neoclust> 2:21.12.0-1.mga9
+ Revision: 1765679
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 2:21.04.1-1.mga9
+ Revision: 1723965
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 2:21.04.0-1.mga9
+ Revision: 1718260
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 2:20.12.3-2.mga9
+ Revision: 1698457
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 2:20.12.2-1.mga9
+ Revision: 1693997
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 2:20.12.0-1.mga8
+ Revision: 1655519
- New version 20.12.0

* Wed Nov 11 2020 joequant <joequant> 2:20.08.3-2.mga8
+ Revision: 1644558
- rebuild with new qca-qt5
+ neoclust <neoclust>
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 2:20.08.2-1.mga8
+ Revision: 1633710
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 2:20.08.1-1.mga8
+ Revision: 1626963
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 2:20.08.0-1.mga8
+ Revision: 1614827
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 2:20.04.3-1.mga8
+ Revision: 1604027
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 2:20.04.2-1.mga8
+ Revision: 1596758
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 2:20.04.1-1.mga8
+ Revision: 1584410
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 2:20.04.0-1.mga8
+ Revision: 1568041
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 2:19.12.3-1.mga8
+ Revision: 1559231
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 2:19.12.2-2.mga8
+ Revision: 1540779
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 2:19.12.2-1.mga8
+ Revision: 1513201
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 2:19.12.0-1.mga8
+ Revision: 1466845
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 2:19.08.3-1.mga8
+ Revision: 1457805
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 2:19.08.1-1.mga8
+ Revision: 1447674
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 2:19.04.3-1.mga8
+ Revision: 1424895
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390354
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1387558
- New version 19.03.90

* Fri Mar 29 2019 umeabot <umeabot> 2:18.12.3-2.mga7
+ Revision: 1381216
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1375430
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365473
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 2:18.12.1-1.mga7
+ Revision: 1356408
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 2:18.12.0-1.mga7
+ Revision: 1339422
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332653
- New version 18.08.3

* Tue Nov 20 2018 daviddavid <daviddavid> 2:18.08.2-2.mga7
+ Revision: 1332219
- devel pkg requires main library

* Mon Nov 19 2018 neoclust <neoclust> 2:18.08.2-1.mga7
+ Revision: 1331910
- New version 18.08.2

* Fri Sep 21 2018 umeabot <umeabot> 2:18.04.1-2.mga7
+ Revision: 1294240
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 2:18.04.1-1.mga7
+ Revision: 1228859
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-1.mga7
+ Revision: 1201803
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 2:17.12.1-1.mga7
+ Revision: 1194827
- New version 17.12.1

* Sun Jan 07 2018 neoclust <neoclust> 2:17.12.0-1.mga7
+ Revision: 1191058
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 2:17.08.0-1.mga7
+ Revision: 1142944
- New version 17.08.0

* Sun Aug 13 2017 neoclust <neoclust> 2:17.07.90-2.mga7
+ Revision: 1140067
- Try to ease upgrade

* Thu Aug 10 2017 neoclust <neoclust> 2:17.07.90-1.mga7
+ Revision: 1139551
- New version 17.07.90

* Tue Aug 01 2017 pterjan <pterjan> 2:17.04.3-3.mga7
+ Revision: 1133529
- Fix for new find_lang

* Sun Jul 30 2017 neoclust <neoclust> 2:17.04.3-2.mga7
+ Revision: 1132661
- Fix requires

* Thu Jul 27 2017 neoclust <neoclust> 2:17.04.3-1.mga7
+ Revision: 1131509
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1089982
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1
+ pterjan <pterjan>
- Exclude armv5tl

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076717
- New version 16.12.0

* Sat Dec 10 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1074160
- imported package akonadi-import-wizard

